ModificationStatement.Parsed (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.statements

## Class ModificationStatement.Parsed

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

- Direct Known Subclasses:
    DeleteStatement.Parsed, UpdateStatement.ParsedInsert, UpdateStatement.ParsedInsertJson, UpdateStatement.ParsedUpdate
  Enclosing class:
    ModificationStatement

      public abstract static class ModificationStatement.Parsed
      extends CFStatement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StatementType` | `type`

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `cfName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Parsed(CFName name, StatementType type, Attributes.Raw attrs, java.util.List<Pair<ColumnDefinition.Raw,ColumnCondition.Raw>> conditions, boolean ifNotExists, boolean ifExists)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static ColumnDefinition` | `getColumnDefinition(CFMetaData cfm, ColumnDefinition.Raw rawId)` Retrieves the `ColumnDefinition` corresponding to the specified raw `ColumnIdentifier`.
    `protected StatementRestrictions` | `newRestrictions(CFMetaData cfm, VariableSpecifications boundNames, Operations operations, WhereClause where, Conditions conditions)` Creates the restrictions.
    `ParsedStatement.Prepared` | `prepare(ClientState clientState)`
    `ModificationStatement` | `prepare(VariableSpecifications boundNames, ClientState clientState)`
    `protected abstract ModificationStatement` | `prepareInternal(CFMetaData cfm, VariableSpecifications boundNames, Conditions conditions, Attributes attrs)`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected final StatementType type

  - ### Constructor Detail

    - #### Parsed

          protected Parsed(CFName name,
                           StatementType type,
                           Attributes.Raw attrs,
                           java.util.List<Pair<ColumnDefinition.Raw,ColumnCondition.Raw>> conditions,
                           boolean ifNotExists,
                           boolean ifExists)

  - ### Method Detail

    - #### prepare

          public ParsedStatement.Prepared prepare(ClientState clientState)

      Specified by:
        `prepare` in class `ParsedStatement`

    - #### prepare

          public ModificationStatement prepare(VariableSpecifications boundNames,
                                               ClientState clientState)

    - #### prepareInternal

          protected abstract ModificationStatement prepareInternal(CFMetaData cfm,
                                                                   VariableSpecifications boundNames,
                                                                   Conditions conditions,
                                                                   Attributes attrs)

    - #### newRestrictions

          protected StatementRestrictions newRestrictions(CFMetaData cfm,
                                                          VariableSpecifications boundNames,
                                                          Operations operations,
                                                          WhereClause where,
                                                          Conditions conditions)

      Creates the restrictions.
      Parameters:
        `cfm` - the column family meta data
        `boundNames` - the bound names
        `operations` - the column operations
        `where` - the where clause
        `conditions` - the conditions
      Returns:
        the restrictions

    - #### getColumnDefinition

          protected static ColumnDefinition getColumnDefinition(CFMetaData cfm,
                                                                ColumnDefinition.Raw rawId)

      Retrieves the `ColumnDefinition` corresponding to the specified raw `ColumnIdentifier`.
      Parameters:
        `cfm` - the column family meta data
        `rawId` - the raw `ColumnIdentifier`
      Returns:
        the `ColumnDefinition` corresponding to the specified raw `ColumnIdentifier`

Copyright © 2018 The Apache Software Foundation